# Uses of Class
java.awt.geom.NoninvertibleTransformException

Packages that use NoninvertibleTransformException
Package
Description
java.awt.geom
Provides the Java 2D classes for defining and performing operations on objects related to two-dimensional geometry.

## Uses of NoninvertibleTransformException in java.awt.geom

Methods in java.awt.geom that throw NoninvertibleTransformException
Modifier and Type
Method
Description
`AffineTransform`
AffineTransform.`createInverse()`
Returns an `AffineTransform` object representing the inverse transformation.
`void`
AffineTransform.`inverseTransform(double[] srcPts, int srcOff, double[] dstPts, int dstOff, int numPts)`
Inverse transforms an array of double precision coordinates by this transform.
`Point2D`
AffineTransform.`inverseTransform(Point2D ptSrc, Point2D ptDst)`
Inverse transforms the specified `ptSrc` and stores the result in `ptDst`.
`void`
AffineTransform.`invert()`
Sets this transform to the inverse of itself.